%global gitfullver 6a3a484d4fac0bb0098787308611a82a5cd68f41
%global gitver %(c=%{gitfullver}; echo ${c:0:8})
%global gitdate 20220714

Summary:        A random number generator daemon
Name:           rng-tools
Version:        6.15
Release:        4.%{gitdate}git%{gitver}%{?dist}
License:        GPLv2+
URL:            https://github.com/nhorman/rng-tools
Source0:        %{url}/archive/%{gitfullver}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        rngd.service
Source2:        rngd.sysconfig

BuildRequires:	systemd systemd-rpm-macros libgcrypt-devel libcurl-devel
BuildRequires:	libxml2-devel openssl-devel jitterentropy-devel
BuildRequires:	jansson-devel libcap-devel
BuildRequires:	gcc make binutils gettext autoconf automake
Requires:		selinux-policy >= 36.5
%{?systemd_requires}

%description
rngd is a random number generator daemon. It monitors a set of 
entropy sources, and supplies entropy from them to the system 
kernel's /dev/random machinery.

%prep
%autosetup

%build
export CFLAGS="$CFLAGS -DJENT_CONF_ENABLE_INTERNAL_TIMER"
./autogen.sh
%configure --without-pkcs11 --without-rtlsdr
%make_build

%install
%make_install

install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/rngd.service
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/rngd

rm -f %{buildroot}%{_bindir}/randstat

%post
%systemd_post rngd.service

%preun
%systemd_preun rngd.service

%postun
%systemd_postun_with_restart rngd.service

%files
%license COPYING
%doc AUTHORS README
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/rngd
%attr(0644,root,root) %{_unitdir}/rngd.service
%{_bindir}/rngtest
%{_sbindir}/rngd
%{_mandir}/man1/rngtest.1.*
%{_mandir}/man8/rngd.8.*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.15-4.20220714git6a3a484d
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.15-3.20220714git6a3a484d
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 28 2022 Shuo Wang <abushwang@tencent.com> - 6.15-2
- update conf

* Mon Jul 18 2022 Xiaojie Chen <jackxjchen@tencent.com> - 6.15-1
- Initial build
